import java.util.Scanner;

public class UniformColumn {

	private static int solveUniformColumn(String[] rows) {
		int col = 0;

		/* ------------------- INSERT CODE HERE ---------------------
		 *
		 * Thinking of the rows as a 2-dimensional array, we need to find the first column that is all X's or all Y's.
		 * If there is no such column, return 0, otherwise return the column number (starting with 1).
		 *
		 * For example: if the array of strings is the following, the answer should be 1.
		 * 	rows[0] = "XXX"
		 *	rows[1] = "XYX"
		 *	rows[2] = "XYY"
		 *
		 * */

		/* -------------------- END OF INSERTION --------------------*/

		return col;
	}

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);

		int numCases = sc.nextInt();

		for(int i = 0; i < numCases; i++)
		{
			int numLength = sc.nextInt();

			// Read the rows as an array of String -- all the Strings will have the same length = numLength

			String[] rows = new String[numLength];

			for(int j = 0; j < numLength; j++)
				rows[j] = sc.next();

			int ret = solveUniformColumn(rows);
			if(ret == 0)
				System.out.println("There is no column with all X's or all Y's.");
			else 
				System.out.println("Column " + ret + " is the first column with all X's or all Y's.");
		}

		sc.close();
	}
}
